/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package CiilId.VIEW;

import CiilId.CRUD.CRUD_Studio;

import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;
import javax.swing.DefaultComboBoxModel;
import javax.swing.JOptionPane;
import javax.swing.table.DefaultTableModel;
import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.logging.Level;
import java.util.logging.Logger;

/**
 *
 *
 */
public class AdminPage_Studio extends javax.swing.JFrame {
    
    private String idstudios, nomor_studio, judul_film, jam_tayang, judul;
    private Connection con;
    private Statement stat;
    private ResultSet res;

    /**
     * Creates new form AdminPage_Film
     */
    public void tanggal(){
    Date ys = new Date();
    SimpleDateFormat s=new SimpleDateFormat("dd-MM-yyyy");
    jTextField1.setText(s.format(ys));
    }
     
    public AdminPage_Studio() {
        initComponents();
         tanggal();
        dataTable();
        ShowComboDB();
       
    }
    
    private void koneksi(){
        try{
            Class.forName("com.mysql.jdbc.Driver");
            con = DriverManager.getConnection("jdbc:mysql://localhost/dbcillid","root","");
            stat = con.createStatement();
        }catch (ClassNotFoundException | SQLException e){
            JOptionPane.showMessageDialog(null, e);
        }
    }
    
    private void dataTable(){
        DefaultTableModel tabel = new DefaultTableModel();
        
        tabel.addColumn("id"); 
        tabel.addColumn("nomor_studio"); 
        tabel.addColumn("judul");
        tabel.addColumn("jam tayang");
         
        tabelStudio.setModel(tabel);
        
        try{
            koneksi();
            String sql="SELECT * FROM studio";
            res=stat.executeQuery(sql);
            
            while (res.next())
            {
                tabel.addRow(new Object[]{
                    res.getString(1),
                    res.getString(2),
                    res.getString(3),
                    res.getString(4),
                });
            }
        }catch (SQLException e){
        }
    }
    
    private void ShowComboDB(){
        DefaultComboBoxModel data = new DefaultComboBoxModel();
       
        input_judul_film.setModel(data);
       
        try{
            CRUD_Studio CS = new CRUD_Studio();
            CS.comboData(data);
        }catch(Exception e){
            System.out.println(e.getMessage());
        }
    }
    
    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jButton4 = new javax.swing.JButton();
        input_judul_film = new javax.swing.JComboBox();
        input_nomor_studio = new javax.swing.JComboBox();
        jLabel3 = new javax.swing.JLabel();
        jButton1 = new javax.swing.JButton();
        jButton2 = new javax.swing.JButton();
        jButton3 = new javax.swing.JButton();
        jButton5 = new javax.swing.JButton();
        idStudio = new javax.swing.JLabel();
        tabelStudio = new javax.swing.JTable();
        jLabel1 = new javax.swing.JLabel();
        jLabel4 = new javax.swing.JLabel();
        input_jam_tayang = new javax.swing.JComboBox<String>();
        jTextField1 = new javax.swing.JTextField();
        jLabel2 = new javax.swing.JLabel();
        jLabel5 = new javax.swing.JLabel();

        jButton4.setText("Kembali");

        setDefaultCloseOperation(javax.swing.WindowConstants.EXIT_ON_CLOSE);
        getContentPane().setLayout(new org.netbeans.lib.awtextra.AbsoluteLayout());

        input_judul_film.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "Item 1", "Item 2", "Item 3", "Item 4" }));
        getContentPane().add(input_judul_film, new org.netbeans.lib.awtextra.AbsoluteConstraints(120, 120, 170, -1));

        input_nomor_studio.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "Studio 1", "Studio 2", "Studio 3", "Studio 4", "Studio 5" }));
        getContentPane().add(input_nomor_studio, new org.netbeans.lib.awtextra.AbsoluteConstraints(120, 60, 170, -1));
        getContentPane().add(nama_admin2, new org.netbeans.lib.awtextra.AbsoluteConstraints(80, 10, 110, -1));

        jLabel3.setText("Jam Tayang");
        getContentPane().add(jLabel3, new org.netbeans.lib.awtextra.AbsoluteConstraints(30, 150, -1, -1));

        jButton1.setText("Simpan");
        jButton1.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButton1ActionPerformed(evt);
            }
        });
        getContentPane().add(jButton1, new org.netbeans.lib.awtextra.AbsoluteConstraints(70, 220, -1, -1));

        jButton2.setText("Edit");
        jButton2.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButton2ActionPerformed(evt);
            }
        });
        getContentPane().add(jButton2, new org.netbeans.lib.awtextra.AbsoluteConstraints(180, 220, -1, -1));

        jButton3.setText("Hapus");
        jButton3.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButton3ActionPerformed(evt);
            }
        });
        getContentPane().add(jButton3, new org.netbeans.lib.awtextra.AbsoluteConstraints(270, 220, -1, -1));

        jButton5.setText("Reset Kursi");
        jButton5.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButton5ActionPerformed(evt);
            }
        });
        getContentPane().add(jButton5, new org.netbeans.lib.awtextra.AbsoluteConstraints(370, 220, -1, -1));

        idStudio.setText("0");
        getContentPane().add(idStudio, new org.netbeans.lib.awtextra.AbsoluteConstraints(340, 70, -1, -1));

        tabelStudio.setModel(new javax.swing.table.DefaultTableModel(
            new Object [][] {
                {null, null, null, null},
                {null, null, null, null},
                {null, null, null, null},
                {null, null, null, null}
            },
            new String [] {
                "Title 1", "Title 2", "Title 3", "Title 4"
            }
        ));
        tabelStudio.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                tabelStudioMouseClicked(evt);
            }
        });
        getContentPane().add(tabelStudio, new org.netbeans.lib.awtextra.AbsoluteConstraints(20, 270, 380, -1));

        jLabel1.setText("Judul Film");
        getContentPane().add(jLabel1, new org.netbeans.lib.awtextra.AbsoluteConstraints(30, 120, 80, -1));

        jLabel4.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jLabel4MouseClicked(evt);
            }
        });
        getContentPane().add(jLabel4, new org.netbeans.lib.awtextra.AbsoluteConstraints(20, 10, 30, 20));

        input_jam_tayang.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "10.00", "12.00", "14.00", "16.00", "18.00" }));
        input_jam_tayang.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                input_jam_tayangActionPerformed(evt);
            }
        });
        getContentPane().add(input_jam_tayang, new org.netbeans.lib.awtextra.AbsoluteConstraints(120, 150, 170, -1));
        getContentPane().add(jTextField1, new org.netbeans.lib.awtextra.AbsoluteConstraints(500, 10, 70, -1));
        getContentPane().add(jLabel2, new org.netbeans.lib.awtextra.AbsoluteConstraints(490, 10, 80, 20));

        jLabel5.setIcon(new javax.swing.ImageIcon(getClass().getResource("/userselect/image/edit studio 2.jpg"))); // NOI18N
        getContentPane().add(jLabel5, new org.netbeans.lib.awtextra.AbsoluteConstraints(0, 0, 580, 360));

        pack();
        setLocationRelativeTo(null);
    }// </editor-fold>//GEN-END:initComponents

    private void jLabel4MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel4MouseClicked
        // TODO add your handling code here:
          new PageAdmin().show();
        this.dispose();
    }//GEN-LAST:event_jLabel4MouseClicked

    private void input_jam_tayangActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_input_jam_tayangActionPerformed
        // TODO add your handling code here:
       
    }//GEN-LAST:event_input_jam_tayangActionPerformed

    private void jButton2ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButton2ActionPerformed
        nomor_studio = input_nomor_studio.getSelectedItem().toString();
        judul_film = input_judul_film.getSelectedItem().toString();
        jam_tayang = input_jam_tayang.getSelectedItem().toString();
        
        try{
            CRUD_Studio CS = new CRUD_Studio();
            if(CS.ubahData(idStudio.getText(),nomor_studio, judul_film, jam_tayang)){
                JOptionPane.showMessageDialog(null, "Berhasil Disimpan");
                dataTable();
            }else{
                JOptionPane.showMessageDialog(null, "Terjadi Kesalahan");
            }
        }catch(SQLException e){
            System.out.println(e.getMessage());
        }
    }//GEN-LAST:event_jButton2ActionPerformed

    private void jButton1ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButton1ActionPerformed
        nomor_studio = input_nomor_studio.getSelectedItem().toString();
        judul_film = input_judul_film.getSelectedItem().toString();
        jam_tayang = input_jam_tayang.getSelectedItem().toString();
         
        try {
            CRUD_Studio CS = new CRUD_Studio(nomor_studio, judul_film, jam_tayang);
            if (CS.masukkanData()) {
                JOptionPane.showMessageDialog(null, "Berhasil", "Status", JOptionPane.INFORMATION_MESSAGE, null);
                System.out.println("Berhasil");
                dataTable();
            } else {
                JOptionPane.showMessageDialog(null, "Gagal", "Status", JOptionPane.ERROR_MESSAGE, null);
            }
        } catch (SQLException ex) {
            //Logger.getLogger(AksesDatabase.class.getName()).log(Level.SEVERE, null, ex);
        }
    }//GEN-LAST:event_jButton1ActionPerformed

    private void jButton3ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButton3ActionPerformed
        try{
            CRUD_Studio CS = new CRUD_Studio();
            if(CS.hapusData(idStudio.getText())){
                JOptionPane.showMessageDialog(null, "Berhasil Dihapus");
                dataTable();
            }else{
                JOptionPane.showMessageDialog(null, "Terjadi Kesalahan");
            }
        }catch(SQLException e){
            System.out.println(e.getMessage());
        }
    }//GEN-LAST:event_jButton3ActionPerformed

    private void tabelStudioMouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_tabelStudioMouseClicked
        DefaultTableModel table = (DefaultTableModel) tabelStudio.getModel();
        
        idStudio.setText((String) table.getValueAt(tabelStudio.getSelectedRow(), 0));
        input_nomor_studio.setSelectedItem(table.getValueAt(tabelStudio.getSelectedRow(), 1));
        input_judul_film.setSelectedItem(table.getValueAt(tabelStudio.getSelectedRow(), 2));
        input_jam_tayang.setSelectedItem(table.getValueAt(tabelStudio.getSelectedRow(), 3));
    }//GEN-LAST:event_tabelStudioMouseClicked

    private void jButton5ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButton5ActionPerformed
        nomor_studio = input_nomor_studio.getSelectedItem().toString();
        judul = input_judul_film.getSelectedItem().toString();
        jam_tayang = input_jam_tayang.getSelectedItem().toString();
        
        try {
            CRUD_Studio RB  = new CRUD_Studio();
            if (RB.resetKursi(nomor_studio, judul,jam_tayang)) {
                JOptionPane.showMessageDialog(null, "Berhasil", "Status", JOptionPane.INFORMATION_MESSAGE, null);
                System.out.println("Berhasil");
            } else {
                JOptionPane.showMessageDialog(null, "Gagal", "Status", JOptionPane.ERROR_MESSAGE, null);
            }
        } catch (SQLException ex) {
            //Logger.getLogger(AksesDatabase.class.getName()).log(Level.SEVERE, null, ex);
        }
    }//GEN-LAST:event_jButton5ActionPerformed

    /**
     * @param args the command line arguments
     */
    public static void main(String args[]) {
        /* Set the Nimbus look and feel */
        //<editor-fold defaultstate="collapsed" desc=" Look and feel setting code (optional) ">
        /* If Nimbus (introduced in Java SE 6) is not available, stay with the default look and feel.
         * For details see http://download.oracle.com/javase/tutorial/uiswing/lookandfeel/plaf.html 
         */
        try {
            for (javax.swing.UIManager.LookAndFeelInfo info : javax.swing.UIManager.getInstalledLookAndFeels()) {
                if ("Nimbus".equals(info.getName())) {
                    javax.swing.UIManager.setLookAndFeel(info.getClassName());
                    break;
                }
            }
        } catch (ClassNotFoundException ex) {
            java.util.logging.Logger.getLogger(AdminPage_Studio.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (InstantiationException ex) {
            java.util.logging.Logger.getLogger(AdminPage_Studio.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (IllegalAccessException ex) {
            java.util.logging.Logger.getLogger(AdminPage_Studio.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (javax.swing.UnsupportedLookAndFeelException ex) {
            java.util.logging.Logger.getLogger(AdminPage_Studio.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        }
        //</editor-fold>
        //</editor-fold>
        //</editor-fold>
        //</editor-fold>
        //</editor-fold>
        //</editor-fold>
        //</editor-fold>
        //</editor-fold>

        /* Create and display the form */
        java.awt.EventQueue.invokeLater(new Runnable() {
            @Override
            public void run() {
                new AdminPage_Studio().setVisible(true);
            }
        });
    }

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JLabel idStudio;
    private javax.swing.JComboBox<String> input_jam_tayang;
    private javax.swing.JComboBox input_judul_film;
    private javax.swing.JComboBox input_nomor_studio;
    private javax.swing.JButton jButton1;
    private javax.swing.JButton jButton2;
    private javax.swing.JButton jButton3;
    private javax.swing.JButton jButton4;
    private javax.swing.JButton jButton5;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel jLabel3;
    private javax.swing.JLabel jLabel4;
    private javax.swing.JLabel jLabel5;
    private javax.swing.JTextField jTextField1;
    public static final javax.swing.JTextField nama_admin2 = new javax.swing.JTextField();
    private javax.swing.JTable tabelStudio;
    // End of variables declaration//GEN-END:variables

    private void showTableData() {
        throw new UnsupportedOperationException("Not supported yet."); //To change body of generated methods, choose Tools | Templates.
    }
}
